#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 persistent-test
version:              2.13.1.2
visibility:           public
id:                   persistent-test-2.13.1.2-IowmKwbiyU3uxswx2jMaq
key:                  persistent-test-2.13.1.2-IowmKwbiyU3uxswx2jMaq
license:              MIT
maintainer:           Michael Snoyman <michael@snoyman.com>
author:               Michael Snoyman <michael@snoyman.com>
stability:            Stable
homepage:             http://www.yesodweb.com/book/persistent
synopsis:             Tests for Persistent
description:
    Tests for Persistent. This is only for use in developing libraries that should conform to the persistent interface, not for users of the persistent suite of database libraries.

category:             Database, Yesod
abi:                  f433bd6c8b94943ab137188685025fea
exposed:              True
exposed-modules:
    CompositeTest CustomPersistField CustomPersistFieldTest
    CustomPrimaryKeyReferenceTest DataTypeTest EmbedOrderTest EmbedTest
    EmptyEntityTest EntityEmbedTest EquivalentTypeTest ForeignKey
    GeneratedColumnTestSQL HtmlTest Init LargeNumberTest
    LongIdentifierTest MaxLenTest MaybeFieldDefsTest
    MigrationColumnLengthTest MigrationIdempotencyTest
    MigrationOnlyTest MigrationTest MpsCustomPrefixTest MpsNoPrefixTest
    PersistTestPetCollarType PersistTestPetType PersistUniqueTest
    PersistentTest PersistentTestModels PersistentTestModelsImports
    PrimaryTest RawSqlTest ReadWriteTest Recursive RenameTest
    SumTypeTest TransactionLevelTest TreeTest UniqueTest UpsertTest

import-dirs:          /usr/lib/ghc-9.0.2/site-local/persistent-test-2.13.1.2
library-dirs:         /usr/lib/ghc-9.0.2/site-local/persistent-test-2.13.1.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-persistent-test
hs-libraries:         HSpersistent-test-2.13.1.2-IowmKwbiyU3uxswx2jMaq
depends:
    HUnit-1.6.2.0-27H1uGAvNhf3XwNqk0T4b4
    QuickCheck-2.14.2-7guLpRHd3ylH0mq22c2g84
    aeson-2.1.1.0-K9BW85jPsWRAK2RMwS3bY2 base-4.15.1.0
    blaze-html-0.9.1.2-CS1SUHS1mEi3ZkQVa0MgFw bytestring-0.10.12.1
    conduit-1.3.4.3-7850AKAUO1kCI5lKyzLnW1 containers-0.6.4.1
    exceptions-0.10.4 hspec-2.10.5-WLrXlaLWZXCLElbybJBgH
    hspec-expectations-0.8.2-EMC93OGWQapAuJTpOjTAcF
    http-api-data-0.5-Ew7LAZj28cVGZeDJUbugPW
    monad-control-1.0.3.1-GpgVyPHmiKkFcdIIOGrkhh
    monad-logger-0.3.37-4q6lf8Jh4q13gKdeOTJd2Y mtl-2.2.2
    path-pieces-0.2.1-H7eklAHLAbQDmNQh33Z06o
    persistent-2.13.3.5-HEJmXj5SuvV2MM7OQCC1MN
    quickcheck-instances-0.3.28-L0laWzsWwDlBUFiVkWDim3
    random-1.2.1.1-HiECQni2AdzGisFczLwCdX
    resourcet-1.2.6-HCSxdopGWSl91Ra2OSDxUc text-1.2.5.0 time-1.9.3
    transformers-0.5.6.2 transformers-base-0.4.6-47QXFWU8OI3AOeTzeSnbjy
    unliftio-0.2.23.0-CaSOVWbdOqFG4yM51NfrPy
    unliftio-core-0.2.0.1-HjGpVpPktr5Bc3kYrL6LtS
    unordered-containers-0.2.19.1-GtFja3NZ1tw4exmhm99dqw

haddock-interfaces:
    /usr/share/doc/haskell-persistent-test/html/persistent-test.haddock

haddock-html:         /usr/share/doc/haskell-persistent-test/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

